> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore a position

> Brings back a deleted record. Ids that are not deleted return `404`. Requires the `positions:write` scope.



## OpenAPI

````yaml /openapi.json post /positions/{id}/restore
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /positions/{id}/restore:
    post:
      tags:
        - Positions
      summary: Restore a position
      description: >-
        Brings back a deleted record. Ids that are not deleted return `404`.
        Requires the `positions:write` scope.
      operationId: positions.restore
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  title:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                    x-native-type: date
                  updated_at:
                    anyOf:
                      - type: string
                        format: date-time
                        x-native-type: date
                      - type: 'null'
                  deleted_at:
                    anyOf:
                      - type: string
                        format: date-time
                        x-native-type: date
                      - type: 'null'
                  organization_id:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - title
                  - created_at
                  - updated_at
                  - deleted_at
                  - organization_id
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.